Bug 241419 - skencil crashes on startup
skencil crashes on startup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: skencil (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-25 17:04 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 10:35:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-05-25 17:04:21 EDT
Description of problem:

*** glibc detected *** python: free(): invalid pointer: 0x00002aaaaaafa238 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3c3ca705d2]
/lib64/libc.so.6(cfree+0x8c)[0x3c3ca73ffc]
/usr/lib64/libpython2.5.so.1.0[0x3c50e57cf3]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5faf)[0x3c50eb540f]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5f8e)[0x3c50eb53ee]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5f8e)[0x3c50eb53ee]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x862)[0x3c50eb5d32]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x4e4a)[0x3c50eb42aa]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x862)[0x3c50eb5d32]
/usr/lib64/libpython2.5.so.1.0[0x3c50e5933c]
/usr/lib64/libpython2.5.so.1.0(PyObject_Call+0x13)[0x3c50e3c053]
/usr/lib64/libpython2.5.so.1.0[0x3c50e4322d]
/usr/lib64/libpython2.5.so.1.0(PyObject_Call+0x13)[0x3c50e3c053]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x2cd4)[0x3c50eb2134]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x862)[0x3c50eb5d32]
/usr/lib64/libpython2.5.so.1.0[0x3c50e5933c]
/usr/lib64/libpython2.5.so.1.0(PyObject_Call+0x13)[0x3c50e3c053]
/usr/lib64/libpython2.5.so.1.0[0x3c50e4322d]
/usr/lib64/libpython2.5.so.1.0(PyObject_Call+0x13)[0x3c50e3c053]
/usr/lib64/libpython2.5.so.1.0(PyEval_CallObjectWithKeywords+0x6e)[0x3c50eae8fe]
/usr/lib64/libpython2.5.so.1.0(PyInstance_New+0x76)[0x3c50e46cb6]
/usr/lib64/libpython2.5.so.1.0(PyObject_Call+0x13)[0x3c50e3c053]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x2cd4)[0x3c50eb2134]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5f8e)[0x3c50eb53ee]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x862)[0x3c50eb5d32]
/usr/lib64/libpython2.5.so.1.0(PyEval_EvalCode+0x32)[0x3c50eb5d72]
/usr/lib64/libpython2.5.so.1.0[0x3c50ecfb92]
/usr/lib64/libpython2.5.so.1.0(PyRun_FileExFlags+0x96)[0x3c50ecfc66]
/usr/lib64/libpython2.5.so.1.0(PyRun_SimpleFileExFlags+0x1a8)[0x3c50ed1158]
/usr/lib64/libpython2.5.so.1.0(Py_Main+0x955)[0x3c50eda415]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3c3ca1daa4]
python[0x400629]
======= Memory map: ========
00400000-00401000 r-xp 00000000 fd:00 4315124                           
/usr/bin/python
00600000-00601000 rw-p 00000000 fd:00 4315124                           
/usr/bin/python
00601000-009ff000 rw-p 00601000 00:00 0                                  [heap]
40000000-40001000 ---p 40000000 00:00 0 
40001000-40a01000 rw-p 40001000 00:00 0 
3c3ba00000-3c3ba1a000 r-xp 00000000 fd:00 13402432                      
/lib64/ld-2.6.so
3c3bc19000-3c3bc1a000 r--p 00019000 fd:00 13402432                      
/lib64/ld-2.6.so
3c3bc1a000-3c3bc1b000 rw-p 0001a000 fd:00 13402432                      
/lib64/ld-2.6.so
3c3ca00000-3c3cb47000 r-xp 00000000 fd:00 13402433                      
/lib64/libc-2.6.so
3c3cb47000-3c3cd46000 ---p 00147000 fd:00 13402433                      
/lib64/libc-2.6.so
3c3cd46000-3c3cd4a000 r--p 00146000 fd:00 13402433                      
/lib64/libc-2.6.so
3c3cd4a000-3c3cd4b000 rw-p 0014a000 fd:00 13402433                      
/lib64/libc-2.6.so
3c3cd4b000-3c3cd50000 rw-p 3c3cd4b000 00:00 0 
3c3ce00000-3c3ce82000 r-xp 00000000 fd:00 13402436                      
/lib64/libm-2.6.so
3c3ce82000-3c3d081000 ---p 00082000 fd:00 13402436                      
/lib64/libm-2.6.so
3c3d081000-3c3d082000 r--p 00081000 fd:00 13402436                      
/lib64/libm-2.6.so
3c3d082000-3c3d083000 rw-p 00082000 fd:00 13402436                      
/lib64/libm-2.6.so
3c3d200000-3c3d202000 r-xp 00000000 fd:00 13402434                      
/lib64/libdl-2.6.so
3c3d202000-3c3d402000 ---p 00002000 fd:00 13402434                      
/lib64/libdl-2.6.so
3c3d402000-3c3d403000 r--p 00002000 fd:00 13402434                      
/lib64/libdl-2.6.so
3c3d403000-3c3d404000 rw-p 00003000 fd:00 13402434                      
/lib64/libdl-2.6.so
3c3d600000-3c3d614000 r-xp 00000000 fd:00 13402435                      
/lib64/libz.so.1.2.3
3c3d614000-3c3d813000 ---p 00014000 fd:00 13402435                      
/lib64/libz.so.1.2.3
3c3d813000-3c3d814000 rw-p 00013000 fd:00 13402435                      
/lib64/libz.so.1.2.3
3c3da00000-3c3da02000 r-xp 00000000 fd:00 7279450                       
/usr/lib64/libXau.so.6.0.0
3c3da02000-3c3dc01000 ---p 00002000 fd:00 7279450                       
/usr/lib64/libXau.so.6.0.0
3c3dc01000-3c3dc02000 rw-p 00001000 fd:00 7279450                       
/usr/lib64/libXau.so.6.0.0
3c3de00000-3c3de05000 r-xp 00000000 fd:00 7279451                       
/usr/lib64/libXdmcp.so.6.0.0
3c3de05000-3c3e004000 ---p 00005000 fd:00 7279451                       
/usr/lib64/libXdmcp.so.6.0.0
3c3e004000-3c3e005000 rw-p 00004000 fd:00 7279451                       
/usr/lib64/libXdmcp.so.6.0.0
3c3e200000-3c3e304000 r-xp 00000000 fd:00 7279452                       
/usr/lib64/libX11.so.6.2.0
3c3e304000-3c3e504000 ---p 00104000 fd:00 7279452                       
/usr/lib64/libX11.so.6.2.0
3c3e504000-3c3e50b000 rw-p 00104000 fd:00 7279452                       
/usr/lib64/libX11.so.6.2.0
3c3e600000-3c3e615000 r-xp 00000000 fd:00 13402446                      
/lib64/libpthread-2.6.so
3c3e615000-3c3e814000 ---p 00015000 fd:00 13402446                      
/lib64/libpthread-2.6.so
3c3e814000-3c3e815000 r--p 00014000 fd:00 13402446                      
/lib64/libpthread-2.6.so
3c3e815000-3c3e816000 rw-p 00015000 fd:00 13402446                      
/lib64/libpthread-2.6.so
3c3e816000-3c3e81a000 rw-p 3c3e816000 00:00 0 
3c3ea00000-3c3ea10000 r-xp 00000000 fd:00 7279453                       
/usr/lib64/libXext.so.6.4.0
3c3ea10000-3c3ec10000 ---p 00010000 fd:00 7279453                       
/usr/lib64/libXext.so.6.4.0
3c3ec10000-3c3ec11000 rw-p 00010000 fd:00 7279453                       
/usr/lib64/libXext.so.6.4.0
3c3fe00000-3c3fe0d000 r-xp 00000000 fd:00 13402440                      
/lib64/libgcc_s-4.1.2-20070503.so.1
3c3fe0d000-3c4000d000 ---p 0000d000 fd:00 13402440                      
/lib64/libgcc_s-4.1.2-20070503.so.1
3c4000d000-3c4000e000 rw-p 0000d000 fd:00 13402440                      
/lib64/libgcc_s-4.1.2-20070503.so.1
3c42a00000-3c42a21000 r-xp 00000000 fd:00 4313575                       
/usr/lib64/libjpeg.so.62.0.0
3c42a21000-3c42c21000 ---p 00021000 fd:00 4313575                       
/usr/lib64/libjpeg.so.62.0.0
3c42c21000-3c42c22000 rw-p 00021000 fd:00 4313575                       
/usr/lib64/libjpeg.so.62.0.0
3c43e00000-3c43e02000 r-xp 00000000 fd:00 13402168                      
/lib64/libutil-2.6.so
3c43e02000-3c44001000 ---p 00002000 fd:00 13402168                      
/lib64/libutil-2.6.so
3c44001000-3c44002000 r--p 00001000 fd:00 13402168                      
/lib64/libutil-2.6.so
3c44002000-3c44003000 rw-p 00002000 fd:00 13402168                      
/lib64/libutil-2.6.so
3c4e400000-3c4e4bb000 r-xp 00000000 fd:00 4308863                       
/usr/lib64/libtcl8.4.so
3c4e4bb000-3c4e6ba000 ---p 000bb000 fd:00 4308863                       
/usr/lib64/libtcl8.4.so
3c4e6ba000-3c4e6c4000 rw-p 000ba000 fd:00 4308863                       
/usr/lib64/libtcl8.4.so
3c4e6c4000-3c4e6c5000 rw-p 3c4e6c4000 00:00 0 
3c4e800000-3c4e8e5000 r-xp 00000000 fd:00 4305151                       
/usr/lib64/libtk8.4.so
3c4e8e5000-3c4eae4000 ---p 000e5000 fd:00 4305151                       
/usr/lib64/libtk8.4.so
3c4eae4000-3c4eaf9000 rw-p 000e4000 fd:00 4305151                       
/usr/lib64/libtk8.4.so
3c4eaf9000-3c4eafa000 rw-p 3c4eaf9000 00:00 0 
3c50e00000-3c50f29000 r-xp 00000000 fd:00 4303036                       
/usr/lib64/libpython2.5.so.1.0
3c50f29000-3c51128000 ---p 00129000 fd:00 4303036                       
/usr/lib64/libpython2.5.so.1.0
3c51128000-3c5115c000 rw-p 00128000 fd:00 4303036                       
/usr/lib64/libpython2.5.so.1.0
3c5115c000-3c51164000 rw-p 3c5115c000 00:00 0 
2aaaaaaab000-2aaaaaaac000 rw-p 2aaaaaaab000 00:00 0 
2aaaaaad6000-2aaaaab5c000 rw-p 2aaaaaad6000 00:00 0 
2aaaaab5c000-2aaaae986000 r--p 00000000 fd:00 4295190                   
/usr/lib/locale/locale-archive
2aaaae9b8000-2aaaae9f9000 rw-p 2aaaae9b8000 00:00 0 
2aaaae9f9000-2aaaae9fe000 r-xp 00000000 fd:00 4489971                   
/usr/lib64/python2.5/lib-dynload/stropmodule.so
2aaaae9fe000-2aaaaebfd000 ---p 00005000 fd:00 4489971                   
/usr/lib64/python2.5/lib-dynload/stropmodule.so
2aaaaebfd000-2aaaaebff000 rw-p 00004000 fd:00 4489971                   
/usr/lib64/python2.5/lib-dynload/stropmodule.so
2aaaaebff000-2aaaaec01000 r-xp 00000000 fd:00 7276818                   
/usr/lib64/skencil-0.6.17/Lib/intl.so
2aaaaec01000-2aaaaee00000 ---p 00002000 fd:00 7276818                   
/usr/lib64/skencil-0.6.17/Lib/intl.so
2aaaaee00000-2aaaaee01000 rw-p 00001000 fd:00 7276818                   
/usr/lib64/skencil-0.6.17/Lib/intl.so
2aaaaee01000-2aaaaee05000 r-xp 00000000 fd:00 4489929                   
/usr/lib64/python2.5/lib-dynload/_localemodule.so
2aaaaee05000-2aaaaf005000 ---p 00004000 fd:00 4489929                   
/usr/lib64/python2.5/lib-dynload/_localemodule.so
2aaaaf005000-2aaaaf006000 rw-p 00004000 fd:00 4489929                   
/usr/lib64/python2.5/lib-dynload/_localemodule.so
2aaaaf006000-2aaaaf00d000 r-xp 00000000 fd:00 4489962                   
/usr/lib64/python2.5/lib-dynload/operator.so
2aaaaf00d000-2aaaaf20d000 ---p 00007000 fd:00 4489962                   
/usr/lib64/python2.5/lib-dynload/operator.so
2aaaaf20d000-2aaaaf20f000 rw-p 00007000 fd:00 4489962                   
/usr/lib64/python2.5/lib-dynload/operator.so
2aaaaf20f000-2aaaaf216000 r--s 00000000 fd:00 4297449                   
/usr/lib64/gconv/gconv-modules.cache
2aaaaf216000-2aaaaf230000 r-xp 00000000 fd:00 7277216                   
/usr/lib64/skencil-0.6.17/Sketch/Modules/_sketchmodule.so
2aaaaf230000-2aaaaf430000 ---p 0001a000 fd:00 7277216                   
/usr/lib64/skencil-0.6.17/Sketch/Modules/_sketchmodule.so
2aaaaf430000-2aaaaf433000 rw-p 0001a000 fd:00 7277216                   
/usr/lib64/skencil-0.6.17/Sketch/Modules/_sketchmodule.so
2aaaaf433000-2aaaaf447000 r-xp 00000000 fd:00 7276819                   
/usr/lib64/skencil-0.6.17/Lib/paxmodule.so
2aaaaf447000-2aaaaf647000 ---p 00014000 fd:00 7276819                   
/usr/lib64/skencil-0.6.17/Lib/paxmodule.so
2aaaaf647000-2aaaaf64a000 rw-p 00014000 fd:00 7276819                   
/usr/lib64/skencil-0.6.17/Lib/paxmodule.so
2aaaaf64b000-2aaaaf68c000 rw-p 2aaaaf64b000 00:00 0 
2aaaaf68c000-2aaaaf6c5000 r-xp 00000000 fd:00 4982859                   
/usr/lib64/python2.5/site-packages/PIL/_imaging.so
2aaaaf6c5000-2aaaaf8c5000 ---p 00039000 fd:00 4982859                   
/usr/lib64/python2.5/site-packages/PIL/_imaging.so
2aaaaf8c5000-2aaaaf8ca000 rw-p 00039000 fd:00 4982859                   
/usr/lib64/python2.5/site-packages/PIL/_imaging.so
2aaaaf8ca000-2aaaaf8d3000 rw-p 2aaaaf8ca000 00:00 0 
2aaaaf8d3000-2aaaaf8db000 r-xp 00000000 fd:00 4489941                   
/usr/lib64/python2.5/lib-dynload/arraymodule.so
2aaaaf8db000-2aaaafada000 ---p 00008000 fd:00 4489941                   
/usr/lib64/python2.5/lib-dynload/arraymodule.so
2aaaafada000-2aaaafadd000 rw-p 00007000 fd:00 4489941                   
/usr/lib64/python2.5/lib-dynload/arraymodule.so
2aaaafadd000-2aaaafae0000 r-xp 00000000 fd:00 4489959         Aborted


Version-Release number of selected component (if applicable):

skencil-0.6.17-13.fc7

How reproducible:

Every time.

Steps to Reproduce:
1. start skencil
Comment 1 Gérard Milmeister 2007-05-25 17:21:42 EDT
This would be either a bug in python 2.5 or a new check in glibc (since it
doesn't happen on FC6), especially on 64bit platform. Or it could be in one of
the binary modules from skencil itself, but I don't see the dump hinting at
something like this. How could one find out?
Comment 2 Bill Nottingham 2007-05-25 18:07:29 EDT
Not sure. With debuginfo, the trace is:

#0  0x00002aaaab59b5b5 in raise () from /lib64/libc.so.6
#1  0x00002aaaab59d060 in abort () from /lib64/libc.so.6
#2  0x00002aaaab5d3d0b in __libc_message () from /lib64/libc.so.6
#3  0x00002aaaab5db412 in _int_free () from /lib64/libc.so.6
#4  0x00002aaaab5deb1c in free () from /lib64/libc.so.6
#5  0x0000003c50e57cf3 in frame_dealloc (f=0x82c9c0) at Objects/frameobject.c:416
#6  0x0000003c50eb540f in PyEval_EvalFrameEx (f=0x82c7f0, throwflag=<value
optimized out>) at Python/ceval.c:3654
#7  0x0000003c50eb53ee in PyEval_EvalFrameEx (f=0x8338d0, throwflag=<value
optimized out>) at Python/ceval.c:3652
#8  0x0000003c50eb53ee in PyEval_EvalFrameEx (f=0x7d6660, throwflag=<value
optimized out>) at Python/ceval.c:3652
#9  0x0000003c50eb5d32 in PyEval_EvalCodeEx (co=0x2aaab1f0a378, globals=<value
optimized out>, 
    locals=<value optimized out>, args=0x7dd170, argcount=3, kws=0x7dd188,
kwcount=0, defs=0x2aaab1effc38, 
    defcount=2, closure=0x0) at Python/ceval.c:2833
#10 0x0000003c50eb42aa in PyEval_EvalFrameEx (f=0x7dcfe0, throwflag=<value
optimized out>) at Python/ceval.c:3662
#11 0x0000003c50eb5d32 in PyEval_EvalCodeEx (co=0x2aaab1f048a0, globals=<value
optimized out>, 
    locals=<value optimized out>, args=0x2, argcount=1, kws=0x7e7db0, kwcount=2,
defs=0x2aaab1eff920, defcount=2, 
    closure=0x0) at Python/ceval.c:2833
#12 0x0000003c50e5933c in function_call (func=0x2aaab1f0a7d0,
arg=0x2aaaaab77650, kw=0x7db900)
    at Objects/funcobject.c:517
#13 0x0000003c50e3c053 in PyObject_Call (func=0xe48, arg=0xe48, kw=0x6) at
Objects/abstract.c:1860
#14 0x0000003c50e4322d in instancemethod_call (func=<value optimized out>,
arg=0x2aaaaab77650, kw=0x7db900)
    at Objects/classobject.c:2493
#15 0x0000003c50e3c053 in PyObject_Call (func=0xe48, arg=0xe48, kw=0x6) at
Objects/abstract.c:1860
#16 0x0000003c50eb2134 in PyEval_EvalFrameEx (f=0x7a76c0, throwflag=<value
optimized out>) at Python/ceval.c:3777
#17 0x0000003c50eb5d32 in PyEval_EvalCodeEx (co=0x2aaab1f0a030, globals=<value
optimized out>, 
    locals=<value optimized out>, args=0x1, argcount=4, kws=0x748d50, kwcount=1,
defs=0x2aaab1efe518, defcount=3, 
    closure=0x0) at Python/ceval.c:2833
#18 0x0000003c50e5933c in function_call (func=0x2aaab1f0ade8,
arg=0x2aaab1eeddb8, kw=0x7db6c0)
    at Objects/funcobject.c:517
#19 0x0000003c50e3c053 in PyObject_Call (func=0xe48, arg=0xe48, kw=0x6) at
Objects/abstract.c:1860
#20 0x0000003c50e4322d in instancemethod_call (func=<value optimized out>,
arg=0x2aaab1eeddb8, kw=0x7db6c0)
    at Objects/classobject.c:2493
#21 0x0000003c50e3c053 in PyObject_Call (func=0xe48, arg=0xe48, kw=0x6) at
Objects/abstract.c:1860
#22 0x0000003c50eae8fe in PyEval_CallObjectWithKeywords (func=0x2aaaaab8ba50,
arg=0x2aaab1efe370, kw=0x7db6c0)
    at Python/ceval.c:3435
#23 0x0000003c50e46cb6 in PyInstance_New (klass=<value optimized out>,
arg=0x2aaab1efe370, kw=0x7db6c0)
    at Objects/classobject.c:560
#24 0x0000003c50e3c053 in PyObject_Call (func=0xe48, arg=0xe48, kw=0x6) at
Objects/abstract.c:1860
#25 0x0000003c50eb2134 in PyEval_EvalFrameEx (f=0x748670, throwflag=<value
optimized out>) at Python/ceval.c:3777
#26 0x0000003c50eb53ee in PyEval_EvalFrameEx (f=0x619ee0, throwflag=<value
optimized out>) at Python/ceval.c:3652
#27 0x0000003c50eb5d32 in PyEval_EvalCodeEx (co=0x2aaaaab597b0, globals=<value
optimized out>, 
    locals=<value optimized out>, args=0x0, argcount=0, kws=0x0, kwcount=0,
defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:2833
#28 0x0000003c50eb5d72 in PyEval_EvalCode (co=0xe48, globals=0xe48, locals=0x6)
at Python/ceval.c:494
#29 0x0000003c50ecfb92 in run_mod (mod=<value optimized out>, filename=<value
optimized out>, globals=0x624470, 
    locals=0x624470, flags=<value optimized out>, arena=<value optimized out>)
at Python/pythonrun.c:1264
#30 0x0000003c50ecfc66 in PyRun_FileExFlags (fp=0x601010,
filename=0x7fff8f39ab6f "/usr/bin/skencil", start=257, 
    globals=0x624470, locals=0x624470, closeit=1, flags=0x7fff8f399bb0) at
Python/pythonrun.c:1250
#31 0x0000003c50ed1158 in PyRun_SimpleFileExFlags (fp=<value optimized out>, 
    filename=0x7fff8f39ab6f "/usr/bin/skencil", closeit=1, flags=0x7fff8f399bb0)
at Python/pythonrun.c:870
#32 0x0000003c50eda415 in Py_Main (argc=<value optimized out>,
argv=0x7fff8f399cd8) at Modules/main.c:496
#33 0x00002aaaab588aa4 in __libc_start_main () from /lib64/libc.so.6
#34 0x0000000000400629 in _start ()

which really doesn't help.

If I had to guess, somewhere in the alloc/dealloc in:
#5  0x0000003c50e57cf3 in frame_dealloc (f=0x82c9c0) at Objects/frameobject.c:416

would be the best bet.
Comment 3 Gérard Milmeister 2007-05-26 08:44:11 EDT
Since this happens in the python interpreter itself, I would say this is a
python bug. At least I don't see any of the skencil native modules involved.
However, it would be interesting to see when the error occurs. You would have to
step through the python code using "python -m pdb
/usr/lib/skencil-0.6.17/skencil.py".
Comment 4 Bill Nottingham 2007-05-28 00:18:51 EDT
> /usr/lib64/skencil-0.6.17/Sketch/__init__.py(199)init_modules_from_widget()
-> Graphics.graphics.InitFromWidget(tkwin)
(Pdb) 
*** glibc detected *** python: double free or corruption (out):
0x00002aaaaaafa260 ***

is where I've narrowed it down to so far. pdb is a pain.
Comment 5 Bill Nottingham 2007-05-28 00:25:57 EDT
More specifically, it seems to occur when checking for shared memory.
Comment 6 Gérard Milmeister 2007-05-28 06:08:46 EDT
Try to comment out the line
   check_for_shm_images(widget)
in the procedure InitFromWidget in the file graphics.py.
If that works we could disable shared memory, at least for
that platform. Does it crash also on non-64-bit?
Comment 7 Bill Nottingham 2007-05-28 23:41:29 EDT
Yes, it crashes on i386 as well. Still crashes even if that line is commented out.
Comment 8 Gérard Milmeister 2007-05-29 05:02:24 EDT
I found the following:
http://lists.wald.intevation.org/pipermail/skencil-users/2007-March/000137.html
Comment 9 Gérard Milmeister 2007-06-06 14:10:19 EDT
Can you build and try the following on F-7?
http://math.ifi.unizh.ch/fedora/tmp/skencil-0.6.17-14.20070606svn.fc7.src.rpm
This is an update to the current svn version.
Comment 10 Bill Nottingham 2007-06-06 14:16:41 EDT
rpm claims that file is corrupt.

error: unpacking of archive failed on file
/usr/src/redhat/SPECS/skencil.spec;4666f7dd: cpio: MD5 sum mismatch
Comment 11 Gérard Milmeister 2007-06-06 14:28:29 EDT
I uploaded the srpm again, it should work now.
Comment 12 Bill Nottingham 2007-06-06 14:41:58 EDT
Starts OK now.

Note You need to log in before you can comment on or make changes to this bug.